---
title: Reviews
slug: scaleserp/search-api/searches/google/place-reviews
docTags: 
createdAt: 2024-08-03T18:00:34.680Z
---

# Google Place Reviews Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=place_reviews`

The Google Place Reviews Parameters are applicable when making a request with  `search_type=place_reviews`  to retrieve place reviews for a Place. The Place is specified in the  `data_id`  parameter,  `data_id`  values are returned from  `search_type=places`  [Places requests](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places).

:::hint{type="info"}
**Place Reviews Pagination**
Place Review results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each  `search_type=place_reviews`  result will return a  `next_page_token`  in its'  `pagination`  object. This  `next_page_token`  can be passed in to the  `next_page_token`  request parameter to retrieve the next page of place reviews results.
:::

![](https://apiimages.imgix.net/scaleserp/images/png/docs/google_place_reviews.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google Place Review Results")

For example, to request place review results for a Place with  `data_id=0x89c259cea3b62d4d:0x4519bf551f37923f` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.scaleserp.com/search?api_key=demo&search_type=place_reviews&data_id=0x89c259cea3b62d4d:0x4519bf551f37923f
```

```curl
curl -L --get https://api.scaleserp.com/search \
-d api_key="demo" \
-d search_type="place_reviews" \
-d data_id="0x89c259cea3b62d4d:0x4519bf551f37923f"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  search_type: "place_reviews",
  data_id: "0x89c259cea3b62d4d:0x4519bf551f37923f"
}

// make the http GET request
axios.get('https://api.scaleserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'search_type': 'place_reviews',
  'data_id': '0x89c259cea3b62d4d:0x4519bf551f37923f'
}

# make the http GET request
api_result = requests.get('https://api.scaleserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'search_type' => 'place_reviews',
  'data_id' => '0x89c259cea3b62d4d:0x4519bf551f37923f'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.scaleserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Place Reviews Parameters

The following parameters are available for all requests made when  `search_type=place_reviews` .

| `Parameter`       | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                       |
| ----------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `search_type`     | `required` | Should be set to `search_type=place_reviews` .                                                                                                                                                                                                                                                                                                                                      |
| `data_id`         | `required` | The `data_id` of the Place to retrieve place reviews for. `data_id` values are returned in [Places requests ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places).                                                                                                                                                                                            |
| `sort_by`         | `optional` | Determines how place reviews are sorted, valid values are `relevance` , `date` , `highest_rating` and `lowest_rating` . Defaults to `relevance` .                                                                                                                                                                                                                                   |
| `next_page_token` | `optional` | Place Review results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each `search_type=place_reviews` result will return a `next_page_token` in its' `pagination` object. This `next_page_token` can be passed in to the `next_page_token` request parameter to retrieve the next page of place reviews results. |

***

**Next Steps**
     [Google Place Reviews Results](https://docs.trajectdata.com/scaleserp/search-api/results/google/place-reviews)
